{% extends "admin/base.html" %}
{% block content %}
<div class="content container-fluid">
        <div class="row">
          <div class="col-sm-8">
            <h4 class="page-title">invoice</h4>
          </div>
          <div class="col-sm-4 text-right m-b-30">
            <div class="btn-group btn-group-sm">
              <button id="pdf" type="button" class="btn btn-default">PDF</button>
              <button id="print" type="button" class="btn btn-default"><i class="fa fa-print fa-lg"></i> Print</button>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12">
            <div class="panel">
              <div class="panel-body">
                <div class="row">
                  <div class="col-md-6 m-b-20">
                    <img src="{% if g.images %}{{url_for('static', filename='uploads/{}'.format(g.images.logo))}}{% else %}{{url_for('static',filename='img/logo2.png')}}{% endif %}" class="m-b-20" alt="" style="width: 100px;">
                    <ul class="list-unstyled">
                      <li>{{ g.company.company_name }}</li>
                      <li>{{ g.company.address }},</li>
                      <li>{{ g.company.city }},{{ g.company.country }}</li>
                    </ul>
                  </div>
                  <div class="col-md-6 m-b-20">
                    <div class="invoice-details">
                      <h3 class="text-uppercase">Invoice #{{ invoice.invoice_no }}</h3>

                      <ul class="list-unstyled">
                        <li>Date: <span>{{ moment(invoice.date_issued).format("MMM Do YYYY") }}</span></li>
                        <li>Due date: <span>{{ moment(invoice.date_due).format("MMM Do YYYY") }}</span></li>
                      </ul>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-6 col-lg-9 m-b-20">
                    <h5>invoice to:</h5>
                    <ul class="list-unstyled">
                      <li><h5><strong>{{ invoice.quotation.client.client_name }}</strong></h5></li>
                      <li><span>{{ invoice.quotation.client.client_type }}</span></li>
                      <li>{{ invoice.quotation.client.location }}</li>
                      <li>{{ invoice.quotation.client.phone_number }}</li>
                      <li><a href="#">{{ invoice.quotation.client.email }}</a></li>
                    </ul>
                  </div>
                  <div class="col-md-6 col-lg-3 m-b-20">
                    <span class="text-muted">Payment Details:</span>
                    <ul class="list-unstyled invoice-payment-details">
                      <li><h5>Total Due: <span class="text-right">{{ invoice.quotation.amount }}</span></h5></li>
                      <li>Bank name: <span>{{ g.company.bank_name }}</span></li>
                      <li>Country: <span>{{ g.company.bank_country }}</span></li>
                      <li>Address: <span>{{ g.company.bank_address }}</span></li>
                      <li>Account no: <span>{{ g.company.account_number}}</span></li>
                    </ul>
                  </div>
                </div>
                <div class="table-responsive">
                  <table class="table table-striped table-hover">
                    <thead>
                      <tr>
                        <th>#</th>
                        <th>PRODUCT</th>
                        <th>UNIT COST</th>
                        <th>SIZE</th>
                        <th>QUANTITY</th>
                        <th>TOTAL</th>
                      </tr>
                    </thead>
                    <tbody>
                      {% for product in invoice.quotation.products%}
                      <tr>
                        <td>{{ loop.index }}</td>
                        <td>{{ product.product }}</td>
                        <td>{{ product.price }}</td>
                        <td>{{ product.size }}</td>
                        <td>{{ product.quantity }}</td>
                        <td>{{ product.total }}</td>
                      </tr>
                      {% endfor %}
                    </tbody>
                  </table>
                </div>
                <div>
                  <div class="row invoice-payment">
                    <div class="col-sm-7">
                    </div>
                    <div class="col-sm-5">
                      <div class="m-b-20">
                        <h6>Total due</h6>
                        <div class="table-responsive no-border">
                          <table class="table m-b-0">
                            <tbody>
                              <tr>
                                <th>Total:</th>
                                <td class="text-right text-primary"><h5>{{ invoice.quotation.amount }}</h5></td>
                              </tr>
                            </tbody>
                          </table>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="invoice-info">
                    <h5>Other information</h5>
                    <p class="text-muted">{{ invoice.quotation.description }}</p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
    </div>
{% endblock %}
